Index: Makefile
===================================================================
--- Makefile	(revision b2775d6d4e0d914239de264c5f17d1c44ea3e39b)
+++ Makefile	(revision 47d87939b500ca9d69abc315b1438cea2d75c8ec)
@@ -2,4 +2,6 @@
 # By Tushar Teredesai <tushar@linuxfromscratch.org>
 # 2004-01-31
+# $LastChangedBy$
+# $Date$
 # Adjust these to suit your installation
 OUTPUTDIR = $(HOME)/public_html/blfs-book
@@ -13,19 +15,4 @@
 
 all: blfs
-
-blfs-old: index.xml
-	@if [ -z $(OUTPUTDIR) ]; then \
-		echo "Envar OUTPUTDIR is not set!" ; \
-		exit 1 ; \
-		fi
-	@echo "Generating HTML Version of BLFS Book with $(JADE)..."
-	@echo "  OUTPUTDIR = $(OUTPUTDIR)"
-	@$(INSTALL) -d $(OUTPUTDIR)
-	@cd $(OUTPUTDIR) && $(INSTALL) -d introduction postlfs general \
-		connect basicnet server content x kde gnome xsoft \
-		multimedia pst preface appendices other
-	@cd $(OUTPUTDIR) && $(JADE) -t sgml -D $(DOCBOOK)/html \
-		-d $(SRCDIR)/blfs.dsl $(DOCBOOK)/dtds/decls/xml.dcl \
-		$(SRCDIR)/index.xml
 
 blfs:
@@ -47,8 +34,6 @@
 	fi;
 	cp images/*.png $(BASEDIR)/images
-	cd $(BASEDIR); sed -i -e "s@../stylesheets@stylesheets@" \
-	  index.html 
-	cd $(BASEDIR); sed -i -e "s@../images@images@g" \
-	  index.html 
+	cd $(BASEDIR); sed -i -e "s@../stylesheets@stylesheets@" index.html 
+	cd $(BASEDIR); sed -i -e "s@../images@images@g" index.html 
 	sh goTidy $(BASEDIR)/  
 
@@ -91,2 +76,12 @@
 validate:
 	xmllint --noout --nonet --xinclude --postvalid index.xml
+
+blfs-patch-list: 
+	@echo "Generating blfs-patch-list..."
+	xsltproc --xinclude --nonet \
+             --output blfs-patch-list stylesheets/patcheslist.xsl index.xml
+	sed -e "s|^.*/||" blfs-patch-list > blfs-patches
+	sort blfs-patches > blfs-patch-list
+	rm blfs-patches
+
+.PHONY : blfs-patch-list
Index: stylesheets/patcheslist.xsl
===================================================================
--- stylesheets/patcheslist.xsl	(revision b2775d6d4e0d914239de264c5f17d1c44ea3e39b)
+++ stylesheets/patcheslist.xsl	(revision 47d87939b500ca9d69abc315b1438cea2d75c8ec)
@@ -1,5 +1,7 @@
 <?xml version='1.0' encoding='ISO-8859-1'?>
 
-<!-- This work against BLFS also -->
+<!-- Get list of patch files from the BLFS Book -->
+<!-- $LastChangedBy: $ -->
+<!-- $Date: $ -->
 
 <xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
@@ -8,49 +10,14 @@
   <xsl:output method="text"/>
 
-  <xsl:param name="links.directory">blfs/cvs/</xsl:param>
-  <xsl:param name="deep.to.downloads">../../../</xsl:param>
-
-  <xsl:template match="/">
-    <xsl:text>#! /bin/bash
-
-  cd /home/httpd/www.linuxfromscratch.org/patches/</xsl:text>
-    <xsl:value-of select="$links.directory"/>
-    <xsl:text> &amp;&amp;&#x0a;&#x0a;</xsl:text>
-    <xsl:text>  rm -f *.patch &amp;&amp;&#x0a;&#x0a;</xsl:text>
-    <xsl:apply-templates/>
-    <xsl:text>&#x0a;  chgrp lfswww *.patch &amp;&amp;&#x0a;</xsl:text>
-    <xsl:text>&#x0a;  exit</xsl:text>
-  </xsl:template>
-
+  <!-- No text needed -->
   <xsl:template match="//text()">
     <xsl:text/>
   </xsl:template>
 
+  <!-- Just grab the url from the ulink tags that have .patch in the name -->
   <xsl:template match="//ulink">
     <xsl:if test="contains(@url, '.patch') and contains(@url, 'linuxfromscratch')">
-      <xsl:text>  cp </xsl:text>
-      <xsl:value-of select="$deep.to.downloads"/>
-      <xsl:text>downloads/</xsl:text>
-      <xsl:if test="contains (@url, '-')">
-        <xsl:variable name="cut" select="translate (@url, '0123456789', '2222222222')"/>
-        <xsl:choose>
-          <xsl:when test="contains ($cut, ',')">
-            <xsl:value-of select="substring-before (substring-after($cut, $links.directory), ',2')"/>
-          </xsl:when>
-          <xsl:otherwise>
-            <xsl:choose>
-              <xsl:when test="contains ($cut, '-src-2')">
-                <xsl:value-of select="substring-before (substring-after($cut, $links.directory), '-src-2')"/>
-              </xsl:when>
-              <xsl:otherwise>
-                <xsl:value-of select="substring-before (substring-after($cut, $links.directory), '-2')"/>
-              </xsl:otherwise>
-            </xsl:choose>
-          </xsl:otherwise>
-        </xsl:choose>
-      </xsl:if>
-      <xsl:text>/</xsl:text>
-      <xsl:value-of select="substring-after(@url, $links.directory)"/>
-      <xsl:text> . &amp;&amp;&#x0a;</xsl:text>
+       <xsl:value-of select="@url"/>
+       <xsl:text>&#x0a;</xsl:text>
     </xsl:if>
   </xsl:template>
